#
# spec file for package minigalaxy
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           minigalaxy
Version:        0.9.4
Release:        lp152.1.1
Summary:        A GOG client for Linux that lets you download and play your GOG Linux games
License:        GPL-3.0-only
URL:            https://github.com/sharkwouter/minigalaxy
Source0:        https://github.com/sharkwouter/minigalaxy/archive/%{version}.tar.gz
Patch0:         minigalaxy-0.9.0-desktop.patch
BuildRequires:  gobject-introspection
BuildRequires:  python3
BuildRequires:  python3-setuptools
Requires:       python3-gobject >= 3.30
Requires:       python3-gobject-Gdk
Requires:       python3-requests
BuildArch:      noarch

%description
A GOG client for Linux that lets you download and play your GOG Linux games.

%prep
%setup -q
%patch0 -p1

%build
%python3_build

%install
%python3_install

rm -rf %{buildroot}%{python3_sitelib}/tests/

%files
%doc README.md
%license LICENSE
%{_bindir}/minigalaxy
%{_datadir}/minigalaxy/
%dir %{_datadir}/icons
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/???x???/
%{_datadir}/applications/io.github.sharkwouter.Minigalaxy.desktop
%{_datadir}/icons/hicolor/???x???/apps/
%{_datadir}/metainfo/io.github.sharkwouter.Minigalaxy.metainfo.xml
%{python3_sitelib}/{m,M}inigalaxy*

%changelog
* Mon Apr 20 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.9.4:
  * Added Russian and Nynorsk translation
  * Updated existing translations
  * Added support for installing Windows games.
  * Added store page link to game menus.
  * Fixed game directories being created without any spaces in the name.
  * Fixed thumbnails not being downloaded for already installed games.
  * Fixed symlinks to libraries not being created correctly upon installation.
  * Made preparations for a Flathub package.
  * Added all contributors and translators to the about window.
* Wed Mar 11 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.9.3:
  * Added the following translations:
  - German (thanks to BlindJerobine)
  - Turkish (thanks to fuzunspm)
  - Brazilian Portuguese (thanks to EsdrasTarsis)
  - Norwegian Bokmål (thanks to kimmalmo)
  - Polish (thanks to ArturWroblewski)
  - French (thanks to thomansb22)
  * Added option to cancel downloads.
  * Changed the way games are downloaded to a queue instead of
    trying to download everything at once.
  * Added support option to game specific menus which open the
    GOG support page (thanks to BlindJerobine).
  * Ask for confirmation before uninstalling (thanks to Odelpasso).
  * Added option to display FPS in games (thanks to Odelpasso).
  * Downloads can now be resumed after having been cancelled before.
  * Installers are now verified before installing.
  * The active download is now resumed when restarting Minigalaxy.
  * Fixed issue with games not downloading.
* Mon Jan 13 2020 Michael Vetter <mvetter@suse.com>
- Update to 0.9.2:
  Features:
  * Added a button to installed games which allow you to:
    + Uninstall a game.
    + Open the directory in which the game is installed.
  * Added translation support. The following additional
    languages are now supported: Dutch, Taiwanese Mandarin
  * Added offline mode.
  * The system's Dosbox and Scummvm installations are now
    preferred over the ones bundled with games.
  * Improved game detection to check in all directories
    in the installation path.
  * Added the option to keep game installers.
  * Added the option to disable staying logged in.
  * The preferences menu now uses a file picker for setting
    the installation path
  * Startup time has been reduced.
  * Games which aren't installed are now grayed out.
  Bug fixes:
  * Fixed FTL not being able to start.
  * Fixed issue with thumbnails sometimes not fully loading.
  * Fixed potential crash after logging in the first time.
  * Fixed close button on about window not working.
* Sat Dec 28 2019 Michael Vetter <mvetter@suse.com>
- Update to 0.9.1:
  * Fixed crashes and freezes sometimes happening while downloading
    and installing games.
  * Fixed installation failing when the installation directory is
    not on same filesystem as /home.
  * Fixed downloads crashing when the installation directory is
    changed or the refresh button is pressed.
  * Fixed changing installation directory not loading which games
    are installed in the new directory.
  * Fixed copyright file in deb package not being machine readable.
  * Add command line options --help, --version and --reset.
    The reset option will reset the cache and configuration.
- Add additional required packages
- Refresh minigalaxy-0.9.0-desktop.patch
* Fri Dec 27 2019 Michael Vetter <mvetter@suse.com>
- Add min. version to python3-gobject
- Require python3 instead of devel
* Fri Dec 27 2019 Michael Vetter <mvetter@suse.com>
- Initial package minigalaxy 0.9.0 for openSUSE
- Add minigalaxy-0.9.0-desktop.patch
